%define name gphotoframe
%define version 1.0
%define release %mkrel 2

Summary:	Photo frame gadget 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Graphics
Source0:	http://code.google.com/p/gphotoframe/%{name}-%{version}.tar.xz
Source1:        %{name}.png
URL:		http://code.google.com/p/gphotoframe/
BuildRequires:	python-devel python-setuptools python-distutils-extra
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires: gnome-python-desktop
Requires: pygtk2.0
Requires: pyxdg
Requires: python-twisted
Requires: python-simplejson
Requires: python-feedparser
Requires: python-gdata
Requires: pyinotify



%description
Gnome Photo Frame is a photo frame gadget for the GNOME Desktop. 
* Local folders
* F-Spot database
* Flickr API
* Picasa Web Album API
* Tumblr API
* RSS 


%prep
%setup -q 


%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
 
#fix menu-icon
install -D -m 644 %SOURCE1 %buildroot/%_datadir/pixmaps/%{name}.png

#move
mkdir -p %buildroot/%{_sysconfdir}/gconf/schemas/
mv %{buildroot}%{_datadir}/gconf/schemas/%{name}.schemas \
%buildroot/%{_sysconfdir}/gconf/schemas/
rm -rf %{buildroot}%{_datadir}/gconf

#desktop menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Photo Frame
Comment=Show photos on Desktop
GenericName=Image Viewer
Icon=%{_datadir}/pixmaps/%{name}.png
Exec=%{name}
StartupNotify=true
Terminal=false
Categories=GNOME;GTK;Graphics;Viewer;X-MandrivaLinux-Multimedia-Graphics;
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %{name}
%update_menus

%preun
%preun_uninstall_gconf_schemas %{name}

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README changelog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/screensavers/gphotoframe-screensaver.desktop
%{_datadir}/%{name}
%{_libdir}/gnome-screensaver/gnome-screensaver/%{name}-screensaver
%{_datadir}/pixmaps/gphotoframe.png
%{_datadir}/icons/hicolor/*/*/*
%{py_sitedir}/*


%changelog
* Sun Sep 12 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- Update

* Sat Jul 17 2010 Texstar <texstar at gmail.com> 1.0-1pclos2010
- 1.0

* Sat May 08 2010 slick50 <lxgator@gmail.com> 0.7.2-1pclos2010
- 0.7.2

* Tue Apr 13 2010 slick50 <lxgator@gmail.com> 0.6.2-2pclos2010
- rebuild
- fix icon bug in menu
- trim specfile


